<?xml version="1.0" encoding="UTF-8"?>
<wsdl:definitions xmlns:soap="http://schemas.xmlsoap.org/wsdl/soap/" xmlns:tm="http://microsoft.com/wsdl/mime/textMatching/" xmlns:soapenc="http://schemas.xmlsoap.org/soap/encoding/" xmlns:mime="http://schemas.xmlsoap.org/wsdl/mime/" xmlns:tns="http://swsoft.com/SiteBuilder/PlanService/v_3_2" xmlns:s="http://www.w3.org/2001/XMLSchema" xmlns:soap12="http://schemas.xmlsoap.org/wsdl/soap12/" xmlns:http="http://schemas.xmlsoap.org/wsdl/http/" targetNamespace="http://swsoft.com/SiteBuilder/PlanService/v_3_2" xmlns:wsdl="http://schemas.xmlsoap.org/wsdl/">
  <wsdl:types>
    <s:schema elementFormDefault="qualified" targetNamespace="http://swsoft.com/SiteBuilder/PlanService/v_3_2">
      <s:element name="AddHostsAsIpAddressesToAccountPlan">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="0" maxOccurs="1" name="username" type="s:string"/>
            <s:element minOccurs="0" maxOccurs="1" name="ipAddresses" type="tns:ArrayOfString"/>
          </s:sequence>
        </s:complexType>
      </s:element>
      <s:complexType name="ArrayOfString">
        <s:sequence>
          <s:element minOccurs="0" maxOccurs="unbounded" name="string" nillable="true" type="s:string"/>
        </s:sequence>
      </s:complexType>
      <s:element name="AddHostsAsIpAddressesToAccountPlanResponse">
        <s:complexType/>
      </s:element>
      <s:element name="CredentialsSoapHeader" type="tns:CredentialsSoapHeader"/>
      <s:complexType name="CredentialsSoapHeader">
        <s:sequence>
          <s:element minOccurs="0" maxOccurs="1" name="Login" type="s:string"/>
          <s:element minOccurs="0" maxOccurs="1" name="Password" type="s:string"/>
        </s:sequence>
        <s:anyAttribute/>
      </s:complexType>
      <s:element name="DeleteHostsAsIpAddressesFromAccountPlan">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="0" maxOccurs="1" name="username" type="s:string"/>
            <s:element minOccurs="0" maxOccurs="1" name="ipAddresses" type="tns:ArrayOfString"/>
          </s:sequence>
        </s:complexType>
      </s:element>
      <s:element name="DeleteHostsAsIpAddressesFromAccountPlanResponse">
        <s:complexType/>
      </s:element>
      <s:element name="AddHostToPlan">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="0" maxOccurs="1" name="planId" type="s:string"/>
            <s:element minOccurs="0" maxOccurs="1" name="hostId" type="s:string"/>
          </s:sequence>
        </s:complexType>
      </s:element>
      <s:element name="AddHostToPlanResponse">
        <s:complexType/>
      </s:element>
      <s:element name="GetAvailablePlans">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="0" maxOccurs="1" name="userName" type="s:string"/>
          </s:sequence>
        </s:complexType>
      </s:element>
      <s:element name="GetAvailablePlansResponse">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="0" maxOccurs="1" name="GetAvailablePlansResult" type="tns:TotalListOfPlanValue"/>
          </s:sequence>
        </s:complexType>
      </s:element>
      <s:complexType name="TotalListOfPlanValue">
        <s:sequence>
          <s:element minOccurs="1" maxOccurs="1" name="TotalCount" type="s:int"/>
          <s:element minOccurs="0" maxOccurs="1" name="Items" type="tns:ArrayOfPlanValue"/>
        </s:sequence>
      </s:complexType>
      <s:complexType name="ArrayOfPlanValue">
        <s:sequence>
          <s:element minOccurs="0" maxOccurs="unbounded" name="PlanValue" nillable="true" type="tns:PlanValue"/>
        </s:sequence>
      </s:complexType>
      <s:complexType name="PlanValue">
        <s:sequence>
          <s:element minOccurs="0" maxOccurs="1" name="OwnerId" type="s:string"/>
          <s:element minOccurs="0" maxOccurs="1" name="PlanId" type="s:string"/>
          <s:element minOccurs="1" maxOccurs="1" name="CreationDate" type="s:dateTime"/>
          <s:element minOccurs="0" maxOccurs="1" name="Name" type="s:string"/>
          <s:element minOccurs="0" maxOccurs="1" name="Description" type="s:string"/>
          <s:element minOccurs="1" maxOccurs="1" name="MaxPagesNumber" type="s:int"/>
          <s:element minOccurs="1" maxOccurs="1" name="MaxPagesRootLevel" type="s:int"/>
          <s:element minOccurs="1" maxOccurs="1" name="MaxPagesLevel" type="s:int"/>
          <s:element minOccurs="1" maxOccurs="1" name="MaxSitesNumber" type="s:int"/>
          <s:element minOccurs="1" maxOccurs="1" name="MaxAccountsNumber" type="s:int"/>
          <s:element minOccurs="1" maxOccurs="1" name="MaxHostsNumber" type="s:int"/>
          <s:element minOccurs="1" maxOccurs="1" name="IsPersonal" type="s:boolean"/>
          <s:element minOccurs="1" maxOccurs="1" name="IsAnonymous" type="s:boolean"/>
          <s:element minOccurs="1" maxOccurs="1" name="IsActive" type="s:boolean"/>
          <s:element minOccurs="0" maxOccurs="1" name="PersonFullName" type="s:string"/>
          <s:element minOccurs="1" maxOccurs="1" name="AssignedAccountsNumber" type="s:int"/>
          <s:element minOccurs="1" maxOccurs="1" name="TrialLifeTime" type="s:int"/>
          <s:element minOccurs="1" maxOccurs="1" name="TrialLifeType" type="tns:LifeTimeType"/>
          <s:element minOccurs="0" maxOccurs="1" name="Templates" type="tns:ArrayOfString"/>
          <s:element minOccurs="0" maxOccurs="1" name="Pagesets" type="tns:ArrayOfString"/>
          <s:element minOccurs="0" maxOccurs="1" name="Hosts" type="tns:ArrayOfString"/>
          <s:element minOccurs="0" maxOccurs="1" name="Modules" type="tns:ArrayOfString"/>
          <s:element minOccurs="0" maxOccurs="1" name="SiteFamilies" type="tns:ArrayOfString"/>
          <s:element minOccurs="0" maxOccurs="1" name="DefaultSiteFamilyId" type="s:string"/>
        </s:sequence>
      </s:complexType>
      <s:simpleType name="LifeTimeType">
        <s:restriction base="s:string">
          <s:enumeration value="Days"/>
          <s:enumeration value="Hours"/>
        </s:restriction>
      </s:simpleType>
      <s:element name="UpdateLicense">
        <s:complexType/>
      </s:element>
      <s:element name="UpdateLicenseResponse">
        <s:complexType/>
      </s:element>
      <s:element name="GetPlanBySite">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="0" maxOccurs="1" name="siteId" type="s:string"/>
          </s:sequence>
        </s:complexType>
      </s:element>
      <s:element name="GetPlanBySiteResponse">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="0" maxOccurs="1" name="GetPlanBySiteResult" type="tns:PlanValue"/>
          </s:sequence>
        </s:complexType>
      </s:element>
      <s:element name="GetPlanById">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="0" maxOccurs="1" name="planId" type="s:string"/>
          </s:sequence>
        </s:complexType>
      </s:element>
      <s:element name="GetPlanByIdResponse">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="0" maxOccurs="1" name="GetPlanByIdResult" type="tns:PlanValue"/>
          </s:sequence>
        </s:complexType>
      </s:element>
      <s:element name="FindPlans">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="0" maxOccurs="1" name="criteria" type="s:string"/>
            <s:element minOccurs="1" maxOccurs="1" name="startPos" type="s:int"/>
            <s:element minOccurs="1" maxOccurs="1" name="count" type="s:int"/>
            <s:element minOccurs="1" maxOccurs="1" name="sortField" type="tns:PlanFields"/>
            <s:element minOccurs="1" maxOccurs="1" name="sortDirection" type="tns:SortDirection"/>
            <s:element minOccurs="1" maxOccurs="1" name="showPersonal" type="s:boolean"/>
          </s:sequence>
        </s:complexType>
      </s:element>
      <s:simpleType name="PlanFields">
        <s:restriction base="s:string">
          <s:enumeration value="Name"/>
          <s:enumeration value="Description"/>
          <s:enumeration value="CreationDate"/>
          <s:enumeration value="MaxPagesNumber"/>
          <s:enumeration value="MaxPagesLevel"/>
          <s:enumeration value="MaxSitesNumber"/>
          <s:enumeration value="MaxAccountsNumber"/>
          <s:enumeration value="MaxHostsNumber"/>
          <s:enumeration value="IsPersonal"/>
          <s:enumeration value="IsDefault"/>
          <s:enumeration value="IsAnonymous"/>
          <s:enumeration value="IsActive"/>
          <s:enumeration value="PersonFullName"/>
          <s:enumeration value="AssignedAccountsNumber"/>
        </s:restriction>
      </s:simpleType>
      <s:simpleType name="SortDirection">
        <s:restriction base="s:string">
          <s:enumeration value="Ascending"/>
          <s:enumeration value="Descending"/>
        </s:restriction>
      </s:simpleType>
      <s:element name="FindPlansResponse">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="0" maxOccurs="1" name="FindPlansResult" type="tns:TotalListOfPlanValue"/>
          </s:sequence>
        </s:complexType>
      </s:element>
      <s:element name="FindPlans2">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="0" maxOccurs="1" name="criteria" type="s:string"/>
            <s:element minOccurs="1" maxOccurs="1" name="startPos" type="s:int"/>
            <s:element minOccurs="1" maxOccurs="1" name="count" type="s:int"/>
            <s:element minOccurs="1" maxOccurs="1" name="sortField" type="tns:PlanFields"/>
            <s:element minOccurs="1" maxOccurs="1" name="sortDirection" type="tns:SortDirection"/>
            <s:element minOccurs="1" maxOccurs="1" name="showPersonal" type="s:boolean"/>
          </s:sequence>
        </s:complexType>
      </s:element>
      <s:element name="FindPlans2Response">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="0" maxOccurs="1" name="FindPlans2Result" type="tns:TotalListOfPlanValue"/>
          </s:sequence>
        </s:complexType>
      </s:element>
      <s:element name="GetCurrentPlan">
        <s:complexType/>
      </s:element>
      <s:element name="GetCurrentPlanResponse">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="0" maxOccurs="1" name="GetCurrentPlanResult" type="tns:PlanValue"/>
          </s:sequence>
        </s:complexType>
      </s:element>
      <s:element name="SetAnonymous">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="0" maxOccurs="1" name="planId" type="s:string"/>
          </s:sequence>
        </s:complexType>
      </s:element>
      <s:element name="SetAnonymousResponse">
        <s:complexType/>
      </s:element>
      <s:element name="SetActive">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="0" maxOccurs="1" name="planIDs" type="tns:ArrayOfString"/>
            <s:element minOccurs="1" maxOccurs="1" name="value" type="s:boolean"/>
          </s:sequence>
        </s:complexType>
      </s:element>
      <s:element name="SetActiveResponse">
        <s:complexType/>
      </s:element>
      <s:element name="Delete">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="0" maxOccurs="1" name="planIDs" type="tns:ArrayOfString"/>
          </s:sequence>
        </s:complexType>
      </s:element>
      <s:element name="DeleteResponse">
        <s:complexType/>
      </s:element>
      <s:element name="UpdatePlan">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="0" maxOccurs="1" name="planId" type="s:string"/>
            <s:element minOccurs="0" maxOccurs="1" name="name" type="s:string"/>
            <s:element minOccurs="0" maxOccurs="1" name="description" type="s:string"/>
            <s:element minOccurs="1" maxOccurs="1" name="maxPagesNumber" type="s:int"/>
            <s:element minOccurs="1" maxOccurs="1" name="maxPagesRootLevel" type="s:int"/>
            <s:element minOccurs="1" maxOccurs="1" name="maxPagesLevel" type="s:int"/>
            <s:element minOccurs="1" maxOccurs="1" name="maxSitesNumber" type="s:int"/>
            <s:element minOccurs="1" maxOccurs="1" name="maxAccountsNumber" type="s:int"/>
            <s:element minOccurs="1" maxOccurs="1" name="maxHostsNumber" type="s:int"/>
            <s:element minOccurs="1" maxOccurs="1" name="trialLifeTime" type="s:int"/>
            <s:element minOccurs="1" maxOccurs="1" name="trialLifeType" type="tns:LifeTimeType"/>
            <s:element minOccurs="0" maxOccurs="1" name="templatesIds" type="tns:ArrayOfString"/>
            <s:element minOccurs="0" maxOccurs="1" name="pagesetsIds" type="tns:ArrayOfString"/>
            <s:element minOccurs="0" maxOccurs="1" name="modulesIds" type="tns:ArrayOfString"/>
            <s:element minOccurs="0" maxOccurs="1" name="hostsIds" type="tns:ArrayOfString"/>
            <s:element minOccurs="0" maxOccurs="1" name="families" type="tns:ArrayOfString"/>
            <s:element minOccurs="0" maxOccurs="1" name="defaultFamily" type="s:string"/>
          </s:sequence>
        </s:complexType>
      </s:element>
      <s:element name="UpdatePlanResponse">
        <s:complexType/>
      </s:element>
      <s:element name="CreatePlan">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="0" maxOccurs="1" name="name" type="s:string"/>
            <s:element minOccurs="0" maxOccurs="1" name="description" type="s:string"/>
            <s:element minOccurs="1" maxOccurs="1" name="maxPagesNumber" type="s:int"/>
            <s:element minOccurs="1" maxOccurs="1" name="maxPagesRootLevel" type="s:int"/>
            <s:element minOccurs="1" maxOccurs="1" name="maxPagesLevel" type="s:int"/>
            <s:element minOccurs="1" maxOccurs="1" name="maxSitesNumber" type="s:int"/>
            <s:element minOccurs="1" maxOccurs="1" name="maxAccountsNumber" type="s:int"/>
            <s:element minOccurs="1" maxOccurs="1" name="maxHostsNumber" type="s:int"/>
            <s:element minOccurs="1" maxOccurs="1" name="isPersonal" type="s:boolean"/>
            <s:element minOccurs="1" maxOccurs="1" name="isAnonymous" type="s:boolean"/>
            <s:element minOccurs="1" maxOccurs="1" name="trialLifeTime" type="s:int"/>
            <s:element minOccurs="1" maxOccurs="1" name="trialLifeType" type="tns:LifeTimeType"/>
            <s:element minOccurs="0" maxOccurs="1" name="templatesIds" type="tns:ArrayOfString"/>
            <s:element minOccurs="0" maxOccurs="1" name="pagesetsIds" type="tns:ArrayOfString"/>
            <s:element minOccurs="0" maxOccurs="1" name="modulesIds" type="tns:ArrayOfString"/>
            <s:element minOccurs="0" maxOccurs="1" name="hostsIds" type="tns:ArrayOfString"/>
            <s:element minOccurs="0" maxOccurs="1" name="families" type="tns:ArrayOfString"/>
            <s:element minOccurs="0" maxOccurs="1" name="defaultFamily" type="s:string"/>
          </s:sequence>
        </s:complexType>
      </s:element>
      <s:element name="CreatePlanResponse">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="0" maxOccurs="1" name="CreatePlanResult" type="tns:PlanValue"/>
          </s:sequence>
        </s:complexType>
      </s:element>
      <s:element name="CanAddAccount">
        <s:complexType/>
      </s:element>
      <s:element name="CanAddAccountResponse">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="1" maxOccurs="1" name="CanAddAccountResult" type="s:boolean"/>
          </s:sequence>
        </s:complexType>
      </s:element>
      <s:element name="CanAddSite">
        <s:complexType/>
      </s:element>
      <s:element name="CanAddSiteResponse">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="1" maxOccurs="1" name="CanAddSiteResult" type="s:boolean"/>
          </s:sequence>
        </s:complexType>
      </s:element>
      <s:element name="CanAddSiteByUsername">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="0" maxOccurs="1" name="username" type="s:string"/>
          </s:sequence>
        </s:complexType>
      </s:element>
      <s:element name="CanAddSiteByUsernameResponse">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="1" maxOccurs="1" name="CanAddSiteByUsernameResult" type="s:boolean"/>
          </s:sequence>
        </s:complexType>
      </s:element>
      <s:element name="CanAddHost">
        <s:complexType/>
      </s:element>
      <s:element name="CanAddHostResponse">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="1" maxOccurs="1" name="CanAddHostResult" type="s:boolean"/>
          </s:sequence>
        </s:complexType>
      </s:element>
    </s:schema>
  </wsdl:types>
  <wsdl:message name="AddHostsAsIpAddressesToAccountPlanSoapIn">
    <wsdl:part name="parameters" element="tns:AddHostsAsIpAddressesToAccountPlan"/>
  </wsdl:message>
  <wsdl:message name="AddHostsAsIpAddressesToAccountPlanSoapOut">
    <wsdl:part name="parameters" element="tns:AddHostsAsIpAddressesToAccountPlanResponse"/>
  </wsdl:message>
  <wsdl:message name="AddHostsAsIpAddressesToAccountPlanCredentialsSoapHeader">
    <wsdl:part name="CredentialsSoapHeader" element="tns:CredentialsSoapHeader"/>
  </wsdl:message>
  <wsdl:message name="DeleteHostsAsIpAddressesFromAccountPlanSoapIn">
    <wsdl:part name="parameters" element="tns:DeleteHostsAsIpAddressesFromAccountPlan"/>
  </wsdl:message>
  <wsdl:message name="DeleteHostsAsIpAddressesFromAccountPlanSoapOut">
    <wsdl:part name="parameters" element="tns:DeleteHostsAsIpAddressesFromAccountPlanResponse"/>
  </wsdl:message>
  <wsdl:message name="DeleteHostsAsIpAddressesFromAccountPlanCredentialsSoapHeader">
    <wsdl:part name="CredentialsSoapHeader" element="tns:CredentialsSoapHeader"/>
  </wsdl:message>
  <wsdl:message name="AddHostToPlanSoapIn">
    <wsdl:part name="parameters" element="tns:AddHostToPlan"/>
  </wsdl:message>
  <wsdl:message name="AddHostToPlanSoapOut">
    <wsdl:part name="parameters" element="tns:AddHostToPlanResponse"/>
  </wsdl:message>
  <wsdl:message name="AddHostToPlanCredentialsSoapHeader">
    <wsdl:part name="CredentialsSoapHeader" element="tns:CredentialsSoapHeader"/>
  </wsdl:message>
  <wsdl:message name="GetAvailablePlansSoapIn">
    <wsdl:part name="parameters" element="tns:GetAvailablePlans"/>
  </wsdl:message>
  <wsdl:message name="GetAvailablePlansSoapOut">
    <wsdl:part name="parameters" element="tns:GetAvailablePlansResponse"/>
  </wsdl:message>
  <wsdl:message name="GetAvailablePlansCredentialsSoapHeader">
    <wsdl:part name="CredentialsSoapHeader" element="tns:CredentialsSoapHeader"/>
  </wsdl:message>
  <wsdl:message name="UpdateLicenseSoapIn">
    <wsdl:part name="parameters" element="tns:UpdateLicense"/>
  </wsdl:message>
  <wsdl:message name="UpdateLicenseSoapOut">
    <wsdl:part name="parameters" element="tns:UpdateLicenseResponse"/>
  </wsdl:message>
  <wsdl:message name="GetPlanBySiteSoapIn">
    <wsdl:part name="parameters" element="tns:GetPlanBySite"/>
  </wsdl:message>
  <wsdl:message name="GetPlanBySiteSoapOut">
    <wsdl:part name="parameters" element="tns:GetPlanBySiteResponse"/>
  </wsdl:message>
  <wsdl:message name="GetPlanBySiteCredentialsSoapHeader">
    <wsdl:part name="CredentialsSoapHeader" element="tns:CredentialsSoapHeader"/>
  </wsdl:message>
  <wsdl:message name="GetPlanByIdSoapIn">
    <wsdl:part name="parameters" element="tns:GetPlanById"/>
  </wsdl:message>
  <wsdl:message name="GetPlanByIdSoapOut">
    <wsdl:part name="parameters" element="tns:GetPlanByIdResponse"/>
  </wsdl:message>
  <wsdl:message name="GetPlanByIdCredentialsSoapHeader">
    <wsdl:part name="CredentialsSoapHeader" element="tns:CredentialsSoapHeader"/>
  </wsdl:message>
  <wsdl:message name="FindPlansSoapIn">
    <wsdl:part name="parameters" element="tns:FindPlans"/>
  </wsdl:message>
  <wsdl:message name="FindPlansSoapOut">
    <wsdl:part name="parameters" element="tns:FindPlansResponse"/>
  </wsdl:message>
  <wsdl:message name="FindPlansCredentialsSoapHeader">
    <wsdl:part name="CredentialsSoapHeader" element="tns:CredentialsSoapHeader"/>
  </wsdl:message>
  <wsdl:message name="FindPlans2SoapIn">
    <wsdl:part name="parameters" element="tns:FindPlans2"/>
  </wsdl:message>
  <wsdl:message name="FindPlans2SoapOut">
    <wsdl:part name="parameters" element="tns:FindPlans2Response"/>
  </wsdl:message>
  <wsdl:message name="FindPlans2CredentialsSoapHeader">
    <wsdl:part name="CredentialsSoapHeader" element="tns:CredentialsSoapHeader"/>
  </wsdl:message>
  <wsdl:message name="GetCurrentPlanSoapIn">
    <wsdl:part name="parameters" element="tns:GetCurrentPlan"/>
  </wsdl:message>
  <wsdl:message name="GetCurrentPlanSoapOut">
    <wsdl:part name="parameters" element="tns:GetCurrentPlanResponse"/>
  </wsdl:message>
  <wsdl:message name="GetCurrentPlanCredentialsSoapHeader">
    <wsdl:part name="CredentialsSoapHeader" element="tns:CredentialsSoapHeader"/>
  </wsdl:message>
  <wsdl:message name="SetAnonymousSoapIn">
    <wsdl:part name="parameters" element="tns:SetAnonymous"/>
  </wsdl:message>
  <wsdl:message name="SetAnonymousSoapOut">
    <wsdl:part name="parameters" element="tns:SetAnonymousResponse"/>
  </wsdl:message>
  <wsdl:message name="SetAnonymousCredentialsSoapHeader">
    <wsdl:part name="CredentialsSoapHeader" element="tns:CredentialsSoapHeader"/>
  </wsdl:message>
  <wsdl:message name="SetActiveSoapIn">
    <wsdl:part name="parameters" element="tns:SetActive"/>
  </wsdl:message>
  <wsdl:message name="SetActiveSoapOut">
    <wsdl:part name="parameters" element="tns:SetActiveResponse"/>
  </wsdl:message>
  <wsdl:message name="SetActiveCredentialsSoapHeader">
    <wsdl:part name="CredentialsSoapHeader" element="tns:CredentialsSoapHeader"/>
  </wsdl:message>
  <wsdl:message name="DeleteSoapIn">
    <wsdl:part name="parameters" element="tns:Delete"/>
  </wsdl:message>
  <wsdl:message name="DeleteSoapOut">
    <wsdl:part name="parameters" element="tns:DeleteResponse"/>
  </wsdl:message>
  <wsdl:message name="DeleteCredentialsSoapHeader">
    <wsdl:part name="CredentialsSoapHeader" element="tns:CredentialsSoapHeader"/>
  </wsdl:message>
  <wsdl:message name="UpdatePlanSoapIn">
    <wsdl:part name="parameters" element="tns:UpdatePlan"/>
  </wsdl:message>
  <wsdl:message name="UpdatePlanSoapOut">
    <wsdl:part name="parameters" element="tns:UpdatePlanResponse"/>
  </wsdl:message>
  <wsdl:message name="UpdatePlanCredentialsSoapHeader">
    <wsdl:part name="CredentialsSoapHeader" element="tns:CredentialsSoapHeader"/>
  </wsdl:message>
  <wsdl:message name="CreatePlanSoapIn">
    <wsdl:part name="parameters" element="tns:CreatePlan"/>
  </wsdl:message>
  <wsdl:message name="CreatePlanSoapOut">
    <wsdl:part name="parameters" element="tns:CreatePlanResponse"/>
  </wsdl:message>
  <wsdl:message name="CreatePlanCredentialsSoapHeader">
    <wsdl:part name="CredentialsSoapHeader" element="tns:CredentialsSoapHeader"/>
  </wsdl:message>
  <wsdl:message name="CanAddAccountSoapIn">
    <wsdl:part name="parameters" element="tns:CanAddAccount"/>
  </wsdl:message>
  <wsdl:message name="CanAddAccountSoapOut">
    <wsdl:part name="parameters" element="tns:CanAddAccountResponse"/>
  </wsdl:message>
  <wsdl:message name="CanAddAccountCredentialsSoapHeader">
    <wsdl:part name="CredentialsSoapHeader" element="tns:CredentialsSoapHeader"/>
  </wsdl:message>
  <wsdl:message name="CanAddSiteSoapIn">
    <wsdl:part name="parameters" element="tns:CanAddSite"/>
  </wsdl:message>
  <wsdl:message name="CanAddSiteSoapOut">
    <wsdl:part name="parameters" element="tns:CanAddSiteResponse"/>
  </wsdl:message>
  <wsdl:message name="CanAddSiteCredentialsSoapHeader">
    <wsdl:part name="CredentialsSoapHeader" element="tns:CredentialsSoapHeader"/>
  </wsdl:message>
  <wsdl:message name="CanAddSiteByUsernameSoapIn">
    <wsdl:part name="parameters" element="tns:CanAddSiteByUsername"/>
  </wsdl:message>
  <wsdl:message name="CanAddSiteByUsernameSoapOut">
    <wsdl:part name="parameters" element="tns:CanAddSiteByUsernameResponse"/>
  </wsdl:message>
  <wsdl:message name="CanAddSiteByUsernameCredentialsSoapHeader">
    <wsdl:part name="CredentialsSoapHeader" element="tns:CredentialsSoapHeader"/>
  </wsdl:message>
  <wsdl:message name="CanAddHostSoapIn">
    <wsdl:part name="parameters" element="tns:CanAddHost"/>
  </wsdl:message>
  <wsdl:message name="CanAddHostSoapOut">
    <wsdl:part name="parameters" element="tns:CanAddHostResponse"/>
  </wsdl:message>
  <wsdl:message name="CanAddHostCredentialsSoapHeader">
    <wsdl:part name="CredentialsSoapHeader" element="tns:CredentialsSoapHeader"/>
  </wsdl:message>
  <wsdl:portType name="PlanWebServiceSoap">
    <wsdl:operation name="AddHostsAsIpAddressesToAccountPlan">
      <wsdl:input message="tns:AddHostsAsIpAddressesToAccountPlanSoapIn"/>
      <wsdl:output message="tns:AddHostsAsIpAddressesToAccountPlanSoapOut"/>
    </wsdl:operation>
    <wsdl:operation name="DeleteHostsAsIpAddressesFromAccountPlan">
      <wsdl:input message="tns:DeleteHostsAsIpAddressesFromAccountPlanSoapIn"/>
      <wsdl:output message="tns:DeleteHostsAsIpAddressesFromAccountPlanSoapOut"/>
    </wsdl:operation>
    <wsdl:operation name="AddHostToPlan">
      <wsdl:input message="tns:AddHostToPlanSoapIn"/>
      <wsdl:output message="tns:AddHostToPlanSoapOut"/>
    </wsdl:operation>
    <wsdl:operation name="GetAvailablePlans">
      <wsdl:input message="tns:GetAvailablePlansSoapIn"/>
      <wsdl:output message="tns:GetAvailablePlansSoapOut"/>
    </wsdl:operation>
    <wsdl:operation name="UpdateLicense">
      <wsdl:input message="tns:UpdateLicenseSoapIn"/>
      <wsdl:output message="tns:UpdateLicenseSoapOut"/>
    </wsdl:operation>
    <wsdl:operation name="GetPlanBySite">
      <wsdl:input message="tns:GetPlanBySiteSoapIn"/>
      <wsdl:output message="tns:GetPlanBySiteSoapOut"/>
    </wsdl:operation>
    <wsdl:operation name="GetPlanById">
      <wsdl:input message="tns:GetPlanByIdSoapIn"/>
      <wsdl:output message="tns:GetPlanByIdSoapOut"/>
    </wsdl:operation>
    <wsdl:operation name="FindPlans">
      <wsdl:input message="tns:FindPlansSoapIn"/>
      <wsdl:output message="tns:FindPlansSoapOut"/>
    </wsdl:operation>
    <wsdl:operation name="FindPlans2">
      <wsdl:input message="tns:FindPlans2SoapIn"/>
      <wsdl:output message="tns:FindPlans2SoapOut"/>
    </wsdl:operation>
    <wsdl:operation name="GetCurrentPlan">
      <wsdl:input message="tns:GetCurrentPlanSoapIn"/>
      <wsdl:output message="tns:GetCurrentPlanSoapOut"/>
    </wsdl:operation>
    <wsdl:operation name="SetAnonymous">
      <wsdl:input message="tns:SetAnonymousSoapIn"/>
      <wsdl:output message="tns:SetAnonymousSoapOut"/>
    </wsdl:operation>
    <wsdl:operation name="SetActive">
      <wsdl:input message="tns:SetActiveSoapIn"/>
      <wsdl:output message="tns:SetActiveSoapOut"/>
    </wsdl:operation>
    <wsdl:operation name="Delete">
      <wsdl:input message="tns:DeleteSoapIn"/>
      <wsdl:output message="tns:DeleteSoapOut"/>
    </wsdl:operation>
    <wsdl:operation name="UpdatePlan">
      <wsdl:input message="tns:UpdatePlanSoapIn"/>
      <wsdl:output message="tns:UpdatePlanSoapOut"/>
    </wsdl:operation>
    <wsdl:operation name="CreatePlan">
      <wsdl:input message="tns:CreatePlanSoapIn"/>
      <wsdl:output message="tns:CreatePlanSoapOut"/>
    </wsdl:operation>
    <wsdl:operation name="CanAddAccount">
      <wsdl:input message="tns:CanAddAccountSoapIn"/>
      <wsdl:output message="tns:CanAddAccountSoapOut"/>
    </wsdl:operation>
    <wsdl:operation name="CanAddSite">
      <wsdl:input message="tns:CanAddSiteSoapIn"/>
      <wsdl:output message="tns:CanAddSiteSoapOut"/>
    </wsdl:operation>
    <wsdl:operation name="CanAddSiteByUsername">
      <wsdl:input message="tns:CanAddSiteByUsernameSoapIn"/>
      <wsdl:output message="tns:CanAddSiteByUsernameSoapOut"/>
    </wsdl:operation>
    <wsdl:operation name="CanAddHost">
      <wsdl:input message="tns:CanAddHostSoapIn"/>
      <wsdl:output message="tns:CanAddHostSoapOut"/>
    </wsdl:operation>
  </wsdl:portType>
  <wsdl:binding name="PlanWebServiceSoap" type="tns:PlanWebServiceSoap">
    <soap:binding transport="http://schemas.xmlsoap.org/soap/http"/>
    <wsdl:operation name="AddHostsAsIpAddressesToAccountPlan">
      <soap:operation soapAction="http://swsoft.com/SiteBuilder/PlanService/v_3_2/AddHostsAsIpAddressesToAccountPlan" style="document"/>
      <wsdl:input>
        <soap:body use="literal"/>
        <soap:header message="tns:AddHostsAsIpAddressesToAccountPlanCredentialsSoapHeader" part="CredentialsSoapHeader" use="literal"/>
      </wsdl:input>
      <wsdl:output>
        <soap:body use="literal"/>
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="DeleteHostsAsIpAddressesFromAccountPlan">
      <soap:operation soapAction="http://swsoft.com/SiteBuilder/PlanService/v_3_2/DeleteHostsAsIpAddressesFromAccountPlan" style="document"/>
      <wsdl:input>
        <soap:body use="literal"/>
        <soap:header message="tns:DeleteHostsAsIpAddressesFromAccountPlanCredentialsSoapHeader" part="CredentialsSoapHeader" use="literal"/>
      </wsdl:input>
      <wsdl:output>
        <soap:body use="literal"/>
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="AddHostToPlan">
      <soap:operation soapAction="http://swsoft.com/SiteBuilder/PlanService/v_3_2/AddHostToPlan" style="document"/>
      <wsdl:input>
        <soap:body use="literal"/>
        <soap:header message="tns:AddHostToPlanCredentialsSoapHeader" part="CredentialsSoapHeader" use="literal"/>
      </wsdl:input>
      <wsdl:output>
        <soap:body use="literal"/>
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="GetAvailablePlans">
      <soap:operation soapAction="http://swsoft.com/SiteBuilder/PlanService/v_3_2/GetAvailablePlans" style="document"/>
      <wsdl:input>
        <soap:body use="literal"/>
        <soap:header message="tns:GetAvailablePlansCredentialsSoapHeader" part="CredentialsSoapHeader" use="literal"/>
      </wsdl:input>
      <wsdl:output>
        <soap:body use="literal"/>
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="UpdateLicense">
      <soap:operation soapAction="http://swsoft.com/SiteBuilder/PlanService/v_3_2/UpdateLicense" style="document"/>
      <wsdl:input>
        <soap:body use="literal"/>
      </wsdl:input>
      <wsdl:output>
        <soap:body use="literal"/>
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="GetPlanBySite">
      <soap:operation soapAction="http://swsoft.com/SiteBuilder/PlanService/v_3_2/GetPlanBySite" style="document"/>
      <wsdl:input>
        <soap:body use="literal"/>
        <soap:header message="tns:GetPlanBySiteCredentialsSoapHeader" part="CredentialsSoapHeader" use="literal"/>
      </wsdl:input>
      <wsdl:output>
        <soap:body use="literal"/>
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="GetPlanById">
      <soap:operation soapAction="http://swsoft.com/SiteBuilder/PlanService/v_3_2/GetPlanById" style="document"/>
      <wsdl:input>
        <soap:body use="literal"/>
        <soap:header message="tns:GetPlanByIdCredentialsSoapHeader" part="CredentialsSoapHeader" use="literal"/>
      </wsdl:input>
      <wsdl:output>
        <soap:body use="literal"/>
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="FindPlans">
      <soap:operation soapAction="http://swsoft.com/SiteBuilder/PlanService/v_3_2/FindPlans" style="document"/>
      <wsdl:input>
        <soap:body use="literal"/>
        <soap:header message="tns:FindPlansCredentialsSoapHeader" part="CredentialsSoapHeader" use="literal"/>
      </wsdl:input>
      <wsdl:output>
        <soap:body use="literal"/>
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="FindPlans2">
      <soap:operation soapAction="http://swsoft.com/SiteBuilder/PlanService/v_3_2/FindPlans2" style="document"/>
      <wsdl:input>
        <soap:body use="literal"/>
        <soap:header message="tns:FindPlans2CredentialsSoapHeader" part="CredentialsSoapHeader" use="literal"/>
      </wsdl:input>
      <wsdl:output>
        <soap:body use="literal"/>
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="GetCurrentPlan">
      <soap:operation soapAction="http://swsoft.com/SiteBuilder/PlanService/v_3_2/GetCurrentPlan" style="document"/>
      <wsdl:input>
        <soap:body use="literal"/>
        <soap:header message="tns:GetCurrentPlanCredentialsSoapHeader" part="CredentialsSoapHeader" use="literal"/>
      </wsdl:input>
      <wsdl:output>
        <soap:body use="literal"/>
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="SetAnonymous">
      <soap:operation soapAction="http://swsoft.com/SiteBuilder/PlanService/v_3_2/SetAnonymous" style="document"/>
      <wsdl:input>
        <soap:body use="literal"/>
        <soap:header message="tns:SetAnonymousCredentialsSoapHeader" part="CredentialsSoapHeader" use="literal"/>
      </wsdl:input>
      <wsdl:output>
        <soap:body use="literal"/>
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="SetActive">
      <soap:operation soapAction="http://swsoft.com/SiteBuilder/PlanService/v_3_2/SetActive" style="document"/>
      <wsdl:input>
        <soap:body use="literal"/>
        <soap:header message="tns:SetActiveCredentialsSoapHeader" part="CredentialsSoapHeader" use="literal"/>
      </wsdl:input>
      <wsdl:output>
        <soap:body use="literal"/>
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="Delete">
      <soap:operation soapAction="http://swsoft.com/SiteBuilder/PlanService/v_3_2/Delete" style="document"/>
      <wsdl:input>
        <soap:body use="literal"/>
        <soap:header message="tns:DeleteCredentialsSoapHeader" part="CredentialsSoapHeader" use="literal"/>
      </wsdl:input>
      <wsdl:output>
        <soap:body use="literal"/>
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="UpdatePlan">
      <soap:operation soapAction="http://swsoft.com/SiteBuilder/PlanService/v_3_2/UpdatePlan" style="document"/>
      <wsdl:input>
        <soap:body use="literal"/>
        <soap:header message="tns:UpdatePlanCredentialsSoapHeader" part="CredentialsSoapHeader" use="literal"/>
      </wsdl:input>
      <wsdl:output>
        <soap:body use="literal"/>
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="CreatePlan">
      <soap:operation soapAction="http://swsoft.com/SiteBuilder/PlanService/v_3_2/CreatePlan" style="document"/>
      <wsdl:input>
        <soap:body use="literal"/>
        <soap:header message="tns:CreatePlanCredentialsSoapHeader" part="CredentialsSoapHeader" use="literal"/>
      </wsdl:input>
      <wsdl:output>
        <soap:body use="literal"/>
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="CanAddAccount">
      <soap:operation soapAction="http://swsoft.com/SiteBuilder/PlanService/v_3_2/CanAddAccount" style="document"/>
      <wsdl:input>
        <soap:body use="literal"/>
        <soap:header message="tns:CanAddAccountCredentialsSoapHeader" part="CredentialsSoapHeader" use="literal"/>
      </wsdl:input>
      <wsdl:output>
        <soap:body use="literal"/>
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="CanAddSite">
      <soap:operation soapAction="http://swsoft.com/SiteBuilder/PlanService/v_3_2/CanAddSite" style="document"/>
      <wsdl:input>
        <soap:body use="literal"/>
        <soap:header message="tns:CanAddSiteCredentialsSoapHeader" part="CredentialsSoapHeader" use="literal"/>
      </wsdl:input>
      <wsdl:output>
        <soap:body use="literal"/>
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="CanAddSiteByUsername">
      <soap:operation soapAction="http://swsoft.com/SiteBuilder/PlanService/v_3_2/CanAddSiteByUsername" style="document"/>
      <wsdl:input>
        <soap:body use="literal"/>
        <soap:header message="tns:CanAddSiteByUsernameCredentialsSoapHeader" part="CredentialsSoapHeader" use="literal"/>
      </wsdl:input>
      <wsdl:output>
        <soap:body use="literal"/>
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="CanAddHost">
      <soap:operation soapAction="http://swsoft.com/SiteBuilder/PlanService/v_3_2/CanAddHost" style="document"/>
      <wsdl:input>
        <soap:body use="literal"/>
        <soap:header message="tns:CanAddHostCredentialsSoapHeader" part="CredentialsSoapHeader" use="literal"/>
      </wsdl:input>
      <wsdl:output>
        <soap:body use="literal"/>
      </wsdl:output>
    </wsdl:operation>
  </wsdl:binding>
  <wsdl:binding name="PlanWebServiceSoap12" type="tns:PlanWebServiceSoap">
    <soap12:binding transport="http://schemas.xmlsoap.org/soap/http"/>
    <wsdl:operation name="AddHostsAsIpAddressesToAccountPlan">
      <soap12:operation soapAction="http://swsoft.com/SiteBuilder/PlanService/v_3_2/AddHostsAsIpAddressesToAccountPlan" style="document"/>
      <wsdl:input>
        <soap12:body use="literal"/>
        <soap12:header message="tns:AddHostsAsIpAddressesToAccountPlanCredentialsSoapHeader" part="CredentialsSoapHeader" use="literal"/>
      </wsdl:input>
      <wsdl:output>
        <soap12:body use="literal"/>
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="DeleteHostsAsIpAddressesFromAccountPlan">
      <soap12:operation soapAction="http://swsoft.com/SiteBuilder/PlanService/v_3_2/DeleteHostsAsIpAddressesFromAccountPlan" style="document"/>
      <wsdl:input>
        <soap12:body use="literal"/>
        <soap12:header message="tns:DeleteHostsAsIpAddressesFromAccountPlanCredentialsSoapHeader" part="CredentialsSoapHeader" use="literal"/>
      </wsdl:input>
      <wsdl:output>
        <soap12:body use="literal"/>
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="AddHostToPlan">
      <soap12:operation soapAction="http://swsoft.com/SiteBuilder/PlanService/v_3_2/AddHostToPlan" style="document"/>
      <wsdl:input>
        <soap12:body use="literal"/>
        <soap12:header message="tns:AddHostToPlanCredentialsSoapHeader" part="CredentialsSoapHeader" use="literal"/>
      </wsdl:input>
      <wsdl:output>
        <soap12:body use="literal"/>
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="GetAvailablePlans">
      <soap12:operation soapAction="http://swsoft.com/SiteBuilder/PlanService/v_3_2/GetAvailablePlans" style="document"/>
      <wsdl:input>
        <soap12:body use="literal"/>
        <soap12:header message="tns:GetAvailablePlansCredentialsSoapHeader" part="CredentialsSoapHeader" use="literal"/>
      </wsdl:input>
      <wsdl:output>
        <soap12:body use="literal"/>
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="UpdateLicense">
      <soap12:operation soapAction="http://swsoft.com/SiteBuilder/PlanService/v_3_2/UpdateLicense" style="document"/>
      <wsdl:input>
        <soap12:body use="literal"/>
      </wsdl:input>
      <wsdl:output>
        <soap12:body use="literal"/>
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="GetPlanBySite">
      <soap12:operation soapAction="http://swsoft.com/SiteBuilder/PlanService/v_3_2/GetPlanBySite" style="document"/>
      <wsdl:input>
        <soap12:body use="literal"/>
        <soap12:header message="tns:GetPlanBySiteCredentialsSoapHeader" part="CredentialsSoapHeader" use="literal"/>
      </wsdl:input>
      <wsdl:output>
        <soap12:body use="literal"/>
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="GetPlanById">
      <soap12:operation soapAction="http://swsoft.com/SiteBuilder/PlanService/v_3_2/GetPlanById" style="document"/>
      <wsdl:input>
        <soap12:body use="literal"/>
        <soap12:header message="tns:GetPlanByIdCredentialsSoapHeader" part="CredentialsSoapHeader" use="literal"/>
      </wsdl:input>
      <wsdl:output>
        <soap12:body use="literal"/>
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="FindPlans">
      <soap12:operation soapAction="http://swsoft.com/SiteBuilder/PlanService/v_3_2/FindPlans" style="document"/>
      <wsdl:input>
        <soap12:body use="literal"/>
        <soap12:header message="tns:FindPlansCredentialsSoapHeader" part="CredentialsSoapHeader" use="literal"/>
      </wsdl:input>
      <wsdl:output>
        <soap12:body use="literal"/>
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="FindPlans2">
      <soap12:operation soapAction="http://swsoft.com/SiteBuilder/PlanService/v_3_2/FindPlans2" style="document"/>
      <wsdl:input>
        <soap12:body use="literal"/>
        <soap12:header message="tns:FindPlans2CredentialsSoapHeader" part="CredentialsSoapHeader" use="literal"/>
      </wsdl:input>
      <wsdl:output>
        <soap12:body use="literal"/>
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="GetCurrentPlan">
      <soap12:operation soapAction="http://swsoft.com/SiteBuilder/PlanService/v_3_2/GetCurrentPlan" style="document"/>
      <wsdl:input>
        <soap12:body use="literal"/>
        <soap12:header message="tns:GetCurrentPlanCredentialsSoapHeader" part="CredentialsSoapHeader" use="literal"/>
      </wsdl:input>
      <wsdl:output>
        <soap12:body use="literal"/>
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="SetAnonymous">
      <soap12:operation soapAction="http://swsoft.com/SiteBuilder/PlanService/v_3_2/SetAnonymous" style="document"/>
      <wsdl:input>
        <soap12:body use="literal"/>
        <soap12:header message="tns:SetAnonymousCredentialsSoapHeader" part="CredentialsSoapHeader" use="literal"/>
      </wsdl:input>
      <wsdl:output>
        <soap12:body use="literal"/>
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="SetActive">
      <soap12:operation soapAction="http://swsoft.com/SiteBuilder/PlanService/v_3_2/SetActive" style="document"/>
      <wsdl:input>
        <soap12:body use="literal"/>
        <soap12:header message="tns:SetActiveCredentialsSoapHeader" part="CredentialsSoapHeader" use="literal"/>
      </wsdl:input>
      <wsdl:output>
        <soap12:body use="literal"/>
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="Delete">
      <soap12:operation soapAction="http://swsoft.com/SiteBuilder/PlanService/v_3_2/Delete" style="document"/>
      <wsdl:input>
        <soap12:body use="literal"/>
        <soap12:header message="tns:DeleteCredentialsSoapHeader" part="CredentialsSoapHeader" use="literal"/>
      </wsdl:input>
      <wsdl:output>
        <soap12:body use="literal"/>
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="UpdatePlan">
      <soap12:operation soapAction="http://swsoft.com/SiteBuilder/PlanService/v_3_2/UpdatePlan" style="document"/>
      <wsdl:input>
        <soap12:body use="literal"/>
        <soap12:header message="tns:UpdatePlanCredentialsSoapHeader" part="CredentialsSoapHeader" use="literal"/>
      </wsdl:input>
      <wsdl:output>
        <soap12:body use="literal"/>
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="CreatePlan">
      <soap12:operation soapAction="http://swsoft.com/SiteBuilder/PlanService/v_3_2/CreatePlan" style="document"/>
      <wsdl:input>
        <soap12:body use="literal"/>
        <soap12:header message="tns:CreatePlanCredentialsSoapHeader" part="CredentialsSoapHeader" use="literal"/>
      </wsdl:input>
      <wsdl:output>
        <soap12:body use="literal"/>
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="CanAddAccount">
      <soap12:operation soapAction="http://swsoft.com/SiteBuilder/PlanService/v_3_2/CanAddAccount" style="document"/>
      <wsdl:input>
        <soap12:body use="literal"/>
        <soap12:header message="tns:CanAddAccountCredentialsSoapHeader" part="CredentialsSoapHeader" use="literal"/>
      </wsdl:input>
      <wsdl:output>
        <soap12:body use="literal"/>
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="CanAddSite">
      <soap12:operation soapAction="http://swsoft.com/SiteBuilder/PlanService/v_3_2/CanAddSite" style="document"/>
      <wsdl:input>
        <soap12:body use="literal"/>
        <soap12:header message="tns:CanAddSiteCredentialsSoapHeader" part="CredentialsSoapHeader" use="literal"/>
      </wsdl:input>
      <wsdl:output>
        <soap12:body use="literal"/>
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="CanAddSiteByUsername">
      <soap12:operation soapAction="http://swsoft.com/SiteBuilder/PlanService/v_3_2/CanAddSiteByUsername" style="document"/>
      <wsdl:input>
        <soap12:body use="literal"/>
        <soap12:header message="tns:CanAddSiteByUsernameCredentialsSoapHeader" part="CredentialsSoapHeader" use="literal"/>
      </wsdl:input>
      <wsdl:output>
        <soap12:body use="literal"/>
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="CanAddHost">
      <soap12:operation soapAction="http://swsoft.com/SiteBuilder/PlanService/v_3_2/CanAddHost" style="document"/>
      <wsdl:input>
        <soap12:body use="literal"/>
        <soap12:header message="tns:CanAddHostCredentialsSoapHeader" part="CredentialsSoapHeader" use="literal"/>
      </wsdl:input>
      <wsdl:output>
        <soap12:body use="literal"/>
      </wsdl:output>
    </wsdl:operation>
  </wsdl:binding>
  <wsdl:service name="PlanWebService">
    <wsdl:port name="PlanWebServiceSoap" binding="tns:PlanWebServiceSoap">
      <soap:address location="{location-placeholder}"/>
    </wsdl:port>
    <wsdl:port name="PlanWebServiceSoap12" binding="tns:PlanWebServiceSoap12">
      <soap12:address location="{location-placeholder}"/>
    </wsdl:port>
  </wsdl:service>
</wsdl:definitions>